
From: Chris Heath <chris@heathens.co.nz>

This patch fixes the PrintScreen key when CONFIG_MAGIC_SYSRQ is enabled.  It
allows you to use that key normally when Alt is not being pressed.  Patch is
against kernel 2.5.68.



 drivers/char/keyboard.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/char/keyboard.c~printscreen-fix drivers/char/keyboard.c
--- 25/drivers/char/keyboard.c~printscreen-fix	2003-05-04 14:22:24.000000000 -0700
+++ 25-akpm/drivers/char/keyboard.c	2003-05-04 14:22:24.000000000 -0700
@@ -1047,8 +1047,8 @@ void kbd_keycode(unsigned int keycode, i
 				printk(KERN_WARNING "keyboard.c: can't emulate rawmode for keycode %d\n", keycode);
 
 #ifdef CONFIG_MAGIC_SYSRQ	       /* Handle the SysRq Hack */
-	if (keycode == KEY_SYSRQ && !rep) {
-		sysrq_down = sysrq_alt && down;
+	if (keycode == KEY_SYSRQ && (sysrq_down || (down == 1 && sysrq_alt))) {
+		sysrq_down = down;
 		return;
 	}
 	if (sysrq_down && down && !rep) {

_
